Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Synaptics Touchpad Driver Xorg
Name:		xorg-x11-drv-synaptics
Version:	0.14.6
Release:	4
Group:		User Interface/X Hardware Support
License:	GPL
Source:		synaptics-%{version}.tar.bz2
Patch0:		synaptics-path.patch
Patch1:		synaptics-xorg73.patch
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
Obsoletes:	Xdriver-input-synaptics
Conflicts:	Xdriver-input-synaptics
BuildRequires:	xorg-x11-server-sdk pixman-devel

%description
This is a driver for the Synaptics TouchPad for XOrg/XFree86 4.x. A
Synaptics touchpad by default operates in compatibility mode by
emulating a standard mouse. However, by using a dedicated driver, more
advance features of the touchpad becomes available, such as:

- Movement with adjustable, non-linear acceleration and speed.
- Button events through short touching of the touchpad.
- Double-Button events through double short touching of the touchpad.
- Dragging through short touching and holding down the finger on the
  touchpad.
- Middle and right button events on the upper and lower corner of
  the touchpad.
- Vertical scrolling (button four and five events) through moving
  the finger on the right side of the touchpad.
- The up/down button sends button four/five events.
- Horizontal scrolling (button six and seven events) through moving
  the finger on the lower side of the touchpad.
- The multi-buttons send button four/five events, and six/seven
  events for horizontal scrolling.
- Adjustable finger detection.
- Multifinger taps: two finger for middle button and three finger
  for right button events. (Needs hardware support. Not all models
  implement this feature.)
- Run-time configuration using shared memory. This means you can
  change parameter settings without restarting the X server.

Note that depending on the touchpad firmware, some of these features
might be available even without using the synaptics driver. Note also
that some functions are not available on all touchpad models, because
they need support from the touchpad hardware/firmware. (Multifinger
taps for example.)

%prep
%setup -n synaptics-%{version}
%patch0 -p1
%patch1 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc INSTALL* README* TODO* COMPATIBILITY LICENSE
%_bindir
%_libdir
%_mandir

%changelog
* Fri Nov 30 2007 Christian Metzen <metzench@ccux-linux.de> 0.14.6-4
- altered group
* Fri Sep 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.14.6-3
- rebuilt against X.org 7.3
* Fri Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.14.6-2
- rebuilt against X.org 7.2
* Sun Sep 17 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.14.6-1
- Initial Build, based on Xdriver-input-synaptics
